Linux Today: Linux News On Internet Time.
Search Linux Today
Linux News Sections:  Developer -  High Performance -  Infrastructure -  IT Management -  Security -  Storage -
Linux Today Navigation
LT Home
Contribute
Contribute
Link to Us
Linux Jobs


More on LinuxToday


Conectiva Linux Advisory: kdelibs

Sep 20, 2002, 20:27 (1 Talkback[s])

- --------------------------------------------------------------------------
CONECTIVA LINUX SECURITY ANNOUNCEMENT 
- --------------------------------------------------------------------------

PACKAGE   : kdelibs
SUMMARY   : Cross site scripting vulnerability
DATE      : 2002-09-20 12:10:00
ID        : CLA-2002:525
RELEVANT
RELEASES  : 8

- -------------------------------------------------------------------------

DESCRIPTION
 KDE[1] is a very popular graphical desktop environment available for
 GNU/Linux and other operating systems. 
 
 A cross site scripting vulnerability[2] has been found in the
 Konqueror browser which also affects other programs that use the same
 rendering engine (KHTML).
 
 This vulnerability could allow an attacker to steal cookies and
 perform other types of cross site scripting attacks on applications
 which use the KHTML rendering engine, such as Konqueror.
 
 The KDE team released an advisory[3] and patches to address this
 vulnerability.


SOLUTION
 All KDE users, or users of KDE applications which use the KHTML
 rendering engine, should upgrade their packages.
 
 Please note that is necessary to restart KDE (or its applications if
 another desktop is being used) to close this vulnerability.
 
 
 REFERENCES
 1. http://www.kde.org
 2. http://online.securityfocus.com/bid/5689
 3. http://www.kde.org/info/security/advisory-20020908-2.txt


DIRECT DOWNLOAD LINKS TO THE UPDATED PACKAGES
ftp://atualizacoes.conectiva.com.br/8/SRPMS/kdelibs3-3.0.3-1U80_2cl.src.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/kdelibs-artsinterface-3.0.3-1U80_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/kdelibs-config-3.0.3-1U80_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/kdelibs-docbook-3.0.3-1U80_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/kdelibs3-3.0.3-1U80_2cl.i386.rpm
ftp://atualizacoes.conectiva.com.br/8/RPMS/kdelibs3-devel-3.0.3-1U80_2cl.i386.rpm


ADDITIONAL INSTRUCTIONS
 Users of Conectiva Linux version 6.0 or higher may use apt to perform 
 upgrades of RPM packages:
 - add the following line to /etc/apt/sources.list if it is not there yet
   (you may also use linuxconf to do this):

 rpm [cncbr] ftp://atualizacoes.conectiva.com.br 6.0/conectiva updates

(replace 6.0 with the correct version number if you are not running CL6.0)

 - run:                 apt-get update
 - after that, execute: apt-get upgrade

 Detailed instructions reagarding the use of apt and upgrade examples 
 can be found at http://distro.conectiva.com.br/atualizacoes/#apt?idioma=en


- -------------------------------------------------------------------------
All packages are signed with Conectiva's GPG key. The key and instructions
on how to import it can be found at 
http://distro.conectiva.com.br/seguranca/chave/?idioma=en
Instructions on how to check the signatures of the RPM packages can be
found at http://distro.conectiva.com.br/seguranca/politica/?idioma=en
- -------------------------------------------------------------------------
All our advisories and generic update instructions can be viewed at
http://distro.conectiva.com.br/atualizacoes/?idioma=en